{% extends 'base.html' %}
{% load static %}
{% load student_tags %}
{% load util_tags %}

{% block content %}
<h1 class="heading-1 marg">Twoje przedmioty</h1>
{% if course_list %}
<div class="container p-3 bg-grey bor-rad marg">
    {% with 0 as dummy_number %}
        <div id="react_compo" data-lesson_url="{% url 'register:student_lesson_list' dummy_number %}"
                              data-gen_pdf_grades_url="{% url 'register:generate_grades_pdf' dummy_number %}"
                              data-gen_csv_grades_url="{% url 'register:generate_grades_csv' dummy_number %}"
                              data-gen_json_grades_url="{% url 'register:generate_grades_json' dummy_number %}"
                              data-gen_xlsx_grades_url="{% url 'register:generate_grades_xlsx' dummy_number %}"
                              data-gen_xml_grades_url="{% url 'register:generate_grades_xml' dummy_number %}"
                              data-gen_pdf_stats_url="{% url 'register:generate_statistics_pdf' dummy_number %}"
                              data-gen_csv_stats_url="{% url 'register:generate_statistics_csv' dummy_number %}"
                              data-gen_json_stats_url="{% url 'register:generate_statistics_json' dummy_number %}"
                              data-gen_xlsx_stats_url="{% url 'register:generate_statistics_xlsx' dummy_number %}"
                              data-gen_xml_stats_url="{% url 'register:generate_statistics_xml' dummy_number %}"></div>
    {% endwith %}
</div>
<script type="text/babel" src="{% static "js/StudentCoursesComponent.js" %}"></script>
{% else %}
    <div class="alert alert-primary" role="alert">
        <p>Nie ma żadnych przedmiotów podpiętych do Twojej klasy.</p>
    </div>
{% endif %}
{% endblock content %}